import type { SensitiveTextComponent } from "./SensitiveText";
import type { PackageSelectorComponent } from "./PackageSelector";
import type { TextComponent } from "./Text";
import type { RadioButtonsComponent } from "./RadioButtons";
import type { ListComponent } from "./List";
import type { ContainerImageSelectorComponent } from "./ContainerImageSelector";

export type StepInputComponent =
    | SensitiveTextComponent
    | PackageSelectorComponent
    | ContainerImageSelectorComponent
    | TextComponent
    | RadioButtonsComponent
    | ListComponent;

export type DeploymentTargetInputComponent = SensitiveTextComponent | TextComponent | RadioButtonsComponent;

export type CommonInputProps = {
    label: string;
    helpText: string;
};
