import { InputPathToObject } from "@octopusdeploy/step-inputs";
import { InitialInputs } from "./InitialInputs";
import { CommonInputProps } from "./InputComponents";

export type RadioButtonsFactory = <InputObject>(props: RadioButtonProps<InputObject>) => RadioButtonsComponent;

export interface RadioButtonsComponent extends RadioButtonProps<unknown> {
    type: "radio-buttons";
}

export interface RadioButtonProps<InputObject> extends CommonInputProps {
    input: InputPathToObject<InputObject>;
    options: RadioButtonOption<InputObject>[];
}

export interface RadioButtonOption<InputObject> {
    label: string;
    newValue: InitialInputs<InputObject>;
}
